tt_message_accepter(library call)

NAME
tt_message_accepter — return offer's nth accepting procid

SYNOPSIS

#include &<Tt/tt_c.h>
char *tt_message_accepter(
Tt_message m,
int n);

DESCRIPTION

The tt_message_accepter function returns the procid of the nth accepter of the specified message.

The m argument is the opaque handle for the message involved in this operation. The n argument is the number of the accepter to be returned. The first accepter is numbered zero.

RETURN VALUE

Upon successful completion, the tt_message_accepter function returns the procid of the nth accepter. The application can use tt_ptr_error to extract one of the following Tt_status values from the returned pointer:

TT_OK
    The operation completed successfully.

TT_ERR_PROCID
    There is no valid default procid, perhaps because tt_open has not yet been called.

TT_ERR_NUM
    The integer value passed was invalid (out of range).

TT_ERR_STATE
    The specified message is not in state TT_RETURNED. Since only TT_OFFERs can be in state TT_RETURNED, this status will be returned if the specified message is a TT_NOTICE or a TT_REQUEST.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The application can use tt_free to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_message_accepters_count(3), tt_ptr_error(3), tt_free(3).